## Index

### Classes

- SelectInputImpl

### Interfaces

- OwnProps
- SelectInputOption

### Type aliases

- Props
- ValueType

### Variables

- SelectInput

### Object literals

- customStyles
- styles

## Type aliases

### Props

Props: OwnProps & WithSheet<IgnoreJSSNested<object>, __type>

- Defined in components/SelectInput/index.tsx:110

### ValueType

ValueType: T | ReadonlyArray<T> | null | undefined

- Defined in components/SelectInput/index.tsx:108

## Variables

### Const SelectInput

SelectInput: ComponentClass<OwnProps, any> | StatelessComponent<OwnProps> = injectSheet(styles as IgnoreJSSNested<typeof styles>)(SelectInputImpl) as React.ComponentType<OwnProps>

- Defined in components/SelectInput/index.tsx:195

## Object literals

### Const customStyles

customStyles: object

- Defined in components/SelectInput/index.tsx:39

### container

- container(provided: any, _state: any): any

- - Defined in components/SelectInput/index.tsx:40

  #### Parameters

  - ##### provided: any

  - ##### _state: any

  #### Returns any

### control

- control(provided: any, _state: any): any

- - Defined in components/SelectInput/index.tsx:45

  #### Parameters

  - ##### provided: any

  - ##### _state: any

  #### Returns any

### dropdownIndicator

- dropdownIndicator(provided: any, _state: any): any

- - Defined in components/SelectInput/index.tsx:64

  #### Parameters

  - ##### provided: any

  - ##### _state: any

  #### Returns any

### indicatorSeparator

- indicatorSeparator(provided: any, _state: any): any

- - Defined in components/SelectInput/index.tsx:55

  #### Parameters

  - ##### provided: any

  - ##### _state: any

  #### Returns any

### indicatorsContainer

- indicatorsContainer(provided: any, _state: any): any

- - Defined in components/SelectInput/index.tsx:59

  #### Parameters

  - ##### provided: any

  - ##### _state: any

  #### Returns any

### menu

- menu(provided: any, state: any): any

- - Defined in components/SelectInput/index.tsx:68

  #### Parameters

  - ##### provided: any

  - ##### state: any

  #### Returns any

### noOptionsMessage

- noOptionsMessage(provided: any, state: any): any

- - Defined in components/SelectInput/index.tsx:84

  #### Parameters

  - ##### provided: any

  - ##### state: any

  #### Returns any

### option

- option(provided: any, state: any): any

- - Defined in components/SelectInput/index.tsx:74

  #### Parameters

  - ##### provided: any

  - ##### state: any

  #### Returns any

### Const styles

styles: object

- Defined in components/SelectInput/index.tsx:11

### error

error: object

- Defined in components/SelectInput/index.tsx:25

### color

color: string = theme.colors.error

- Defined in components/SelectInput/index.tsx:27

### padding

padding: any = [0, 5, 8, 10] as any

- Defined in components/SelectInput/index.tsx:29

### textAlign

textAlign: string = "right"

- Defined in components/SelectInput/index.tsx:28

### header

header: object

- Defined in components/SelectInput/index.tsx:15

### display

display: string = "flex"

- Defined in components/SelectInput/index.tsx:16

### justifyContent

justifyContent: string = "space-between"

- Defined in components/SelectInput/index.tsx:17

### label

label: object

- Defined in components/SelectInput/index.tsx:19

### color

color: any = (({ error }: OwnProps) => error ? theme.colors.error : theme.colors.gray.middle) as any

- Defined in components/SelectInput/index.tsx:23

### display

display: string = "block"

- Defined in components/SelectInput/index.tsx:20

### margin

margin: any = [0, 0, 8, 5] as any

- Defined in components/SelectInput/index.tsx:21

### roundPicture

roundPicture: object

- Defined in components/SelectInput/index.tsx:12

### marginRight

marginRight: number = 12

- Defined in components/SelectInput/index.tsx:13

### select

select: object

- Defined in components/SelectInput/index.tsx:31

### & > div

& > div: object

- Defined in components/SelectInput/index.tsx:32

### border

border: any = (({ error }: OwnProps) => error ? `2px solid ${theme.colors.error} !important` : '1px solid rgba(41, 41, 41, 0.1)') as any

- Defined in components/SelectInput/index.tsx:33

### color

color: any = (({ error }: OwnProps) => error ? theme.colors.error : '#292929') as any

- Defined in components/SelectInput/index.tsx:34

Generated using TypeDoc